-- MySQL dump 10.13  Distrib 8.0.22, for Win64 (x86_64)
--
-- Host: localhost    Database: au_sds_prod
-- ------------------------------------------------------
-- Server version	8.0.22

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `monthlysummaryauoutputdata`
--

DROP TABLE IF EXISTS `monthlysummaryauoutputdata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `monthlysummaryauoutputdata` (
  `FacilityID` varchar(100) NOT NULL,
  `WardID` varchar(100) DEFAULT NULL,
  `NHSNLocationTypeCode` varchar(100) DEFAULT NULL,
  `SummaryYYYYMM` int NOT NULL,
  `AdmissionsForMonth` int DEFAULT NULL,
  `NumberOfDaysPresentForMonth` int DEFAULT NULL,
  `NHSNDrugIngredientCode` varchar(100) NOT NULL,
  `AUDaysAllRoute` int DEFAULT NULL,
  `AUDaysIMRoute` int DEFAULT NULL,
  `AUDaysIVRoute` int DEFAULT NULL,
  `AUDaysDigestiveRoute` int DEFAULT NULL,
  `AUDaysRespiratoryRoute` int DEFAULT NULL,
  KEY `FK_MonthlySummaryAUOutputData_Dim_Facility` (`FacilityID`),
  KEY `FK_MonthlySummaryAUOutputData_Dim_NHSNDrugIngredientCode` (`NHSNDrugIngredientCode`),
  KEY `FK_MonthlySummaryAUOutputData_Dim_NHSNLocationTypeCode` (`NHSNLocationTypeCode`),
  KEY `FK_MonthlySummaryAUOutputData_ADTWardMapping1` (`WardID`),
  CONSTRAINT `FK_MonthlySummaryAUOutputData_Dim_Facility` FOREIGN KEY (`FacilityID`) REFERENCES `dim_facility` (`FacilityID`),
  CONSTRAINT `FK_MonthlySummaryAUOutputData_Dim_NHSNDrugIngredientCode` FOREIGN KEY (`NHSNDrugIngredientCode`) REFERENCES `dim_nhsndrugingredientcode` (`NHSNDrugIngredientCode`),
  CONSTRAINT `FK_MonthlySummaryAUOutputData_Dim_NHSNLocationTypeCode` FOREIGN KEY (`NHSNLocationTypeCode`) REFERENCES `dim_nhsnlocationtypecode` (`NHSNLocationTypeCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `monthlysummaryauoutputdata`
--

LOCK TABLES `monthlysummaryauoutputdata` WRITE;
/*!40000 ALTER TABLE `monthlysummaryauoutputdata` DISABLE KEYS */;
/*!40000 ALTER TABLE `monthlysummaryauoutputdata` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-05-22  9:47:09
