-- MySQL dump 10.13  Distrib 8.0.22, for Win64 (x86_64)
--
-- Host: localhost    Database: au_sds_prod
-- ------------------------------------------------------
-- Server version	8.0.22

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `dim_nhsnlocationtypecode`
--

DROP TABLE IF EXISTS `dim_nhsnlocationtypecode`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dim_nhsnlocationtypecode` (
  `NHSNLocationTypeCode` varchar(100) NOT NULL,
  `NHSNLocationTypeName` varchar(100) NOT NULL,
  PRIMARY KEY (`NHSNLocationTypeCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dim_nhsnlocationtypecode`
--

LOCK TABLES `dim_nhsnlocationtypecode` WRITE;
/*!40000 ALTER TABLE `dim_nhsnlocationtypecode` DISABLE KEYS */;
INSERT INTO `dim_nhsnlocationtypecode` VALUES ('1005-8','IN:ACUTE:OR:CATH'),('1025-6','IN:ACUTE:CC:T'),('1026-4','IN:ACUTE:CC:B'),('1027-2','IN:ACUTE:CC:M'),('1028-0','IN:ACUTE:CC:C'),('1029-8','IN:ACUTE:CC:MS'),('1030-6','IN:ACUTE:CC:S'),('1031-4','IN:ACUTE:CC:NS'),('1032-2','IN:ACUTE:CC:CT'),('1033-0','IN:ACUTE:CC:R'),('1034-8','IN:ACUTE:CC:PNATL'),('1035-5','IN:ACUTE:CC:N'),('1038-9','IN:ACUTE:WARD:NURS'),('1039-7','IN:ACUTE:CC_STEP:NURS'),('1040-5','IN:ACUTE:CC:NURS'),('1041-3','IN:ACUTE:STEP:NURS'),('1042-1','IN:ACUTE:CC:B_PED'),('1043-9','IN:ACUTE:CC:CT_PED'),('1044-7','IN:ACUTE:CC:M_PED'),('1045-4','IN:ACUTE:CC:MS_PED'),('1046-2','IN:ACUTE:CC:NS_PED'),('1047-0','IN:ACUTE:CC:R_PED'),('1048-8','IN:ACUTE:CC:S_PED'),('1049-6','IN:ACUTE:CC:T_PED'),('1051-2','IN:ACUTE:WARD:BHV'),('1052-0','IN:ACUTE:WARD:B'),('1053-8','IN:ACUTE:WARD:ENT'),('1054-6','IN:ACUTE:WARD:GI'),('1055-3','IN:ACUTE:WARD:GU'),('1056-1','IN:ACUTE:WARD:GNT'),('1057-9','IN:ACUTE:WARD:GYN'),('1058-7','IN:ACUTE:WARD:LD'),('1059-5','IN:ACUTE:WARD:LD_PP'),('1060-3','IN:ACUTE:WARD:M'),('1061-1','IN:ACUTE:WARD:MS'),('1062-9','IN:ACUTE:WARD:N'),('1063-7','IN:ACUTE:WARD:NS'),('1064-5','IN:ACUTE:WARD:OPH'),('1065-2','IN:ACUTE:WARD:ORT'),('1066-0','IN:ACUTE:WARD:T_ORT'),('1067-8','IN:ACUTE:WARD:PLS'),('1068-6','IN:ACUTE:WARD:PP'),('1069-4','IN:ACUTE:WARD:PULM'),('1070-2','IN:ACUTE:WARD:REHAB'),('1071-0','IN:ACUTE:WARD:STRK'),('1072-8','IN:ACUTE:WARD:S'),('1073-6','IN:ACUTE:WARD:VS'),('1075-1','IN:ACUTE:WARD:BHV_ADOL'),('1076-9','IN:ACUTE:WARD:M_PED'),('1077-7','IN:ACUTE:WARD:BHV_PED'),('1078-5','IN:ACUTE:WARD:B_PED'),('1079-3','IN:ACUTE:WARD:ENT_PED'),('1080-1','IN:ACUTE:WARD:GU_PED'),('1081-9','IN:ACUTE:WARD:MS_PED'),('1082-7','IN:ACUTE:WARD:N_PED'),('1083-5','IN:ACUTE:WARD:NS_PED'),('1084-3','IN:ACUTE:WARD:ORT_PED'),('1085-0','IN:ACUTE:WARD:REHAB_PED'),('1086-8','IN:ACUTE:WARD:S_PED'),('1092-6','IN:ACUTE:SCA:SOTP'),('1093-4','IN:ACUTE:SCA:SOTP_PED'),('1095-9','IN:ACUTE:OR:LD'),('1096-7','IN:ACUTE:OR'),('1097-5','IN:ACUTE:OR_STEP'),('1099-1','IN:ACUTE:STEP'),('1100-7','IN:ACUTE:STEP:PED'),('1102-3','IN:NONACUTE:LTC'),('1105-6','IN:NONACUTE:LTC:REHAB'),('1108-0','OUT:ACUTE:ED'),('1109-8','OUT:ACUTE:ED:PED'),('1160-1','OUT:ACUTE:CLINIC:UE'),('1162-7','OUT:ACUTE:WARD'),('1164-3','IN:NONACUTE:LTC:R'),('1169-2','OUT:ACUTE:OR_STEP'),('1171-8','IN:ACUTE:WARD:JAL'),('1172-6','IN:ACUTE:WARD:IFM'),('1174-2','OUT:ACUTE:MOBILE:UE'),('1203-9','IN:ACUTE:OR:RAD'),('1208-8','IN:ACUTE:WARD:TEL'),('1209-6','IN:ACUTE:SUPPORT:TREAT'),('1210-4','IN:ACUTE:MIXED:ALL_ADULT'),('1211-2','IN:ACUTE:MIXED:ALL_PEDS'),('1212-0','IN:ACUTE:MIXED:ALL'),('1214-6','IN:ACUTE:WARD:LTAC_PED'),('1217-9','IN:ACUTE:IRF'),('1218-7','IN:ACUTE:IRF:PED'),('1220-3','IN:ACUTE:CC:LTAC'),('1221-1','IN:ACUTE:WARD:LTAC'),('1222-9','IN:ACUTE:CC:LTAC_PED'),('1223-7','IN:ACUTE:CC:ONC_M'),('1224-5','IN:ACUTE:CC:ONC_S'),('1225-2','IN:ACUTE:CC:ONC_MS'),('1226-0','IN:ACUTE:WARD:ONC_LEUK'),('1227-8','IN:ACUTE:STEP:ONC'),('1228-6','IN:ACUTE:WARD:ONC:LYMPH'),('1229-4','IN:ACUTE:WARD:ONC_LL'),('1230-2','IN:ACUTE:WARD:ONC_ST'),('1231-0','IN:ACUTE:WARD:ONC_HSCT'),('1232-8','IN:ACUTE:WARD:ONC_HONC'),('1233-6','IN:ACUTE:CC:ONC_PED'),('1234-4','IN:ACUTE:WARD:ONC_HSCT_PED'),('1235-1','IN:ACUTE:WARD:ONC_HONC_PED'),('1236-9','IN:ACUTE:MIXED:ONC'),('1242-7','OUT:ACUTE:OR:HOPD_A'),('1243-5','OUT:ASC:OR'),('1244-3','OUT:ACUTE:OR:HOPD_D'),('1248-4','OUT:ACUTE:OR:HOPD_A_PED'),('1249-2','OUT:ACUTE:OR:HOPD_D_PED'),('1250-0','Facilitywide Inpatient'),('1254-2','IN:NONACUTE:LTCF:HSP'),('1255-9','IN:NONACUTE:LTCF:DEM'),('1256-7','IN:NONACUTE:LTCF:PSY'),('1257-5','IN:NONACUTE:LTCF:REHAB'),('1258-3','IN:NONACUTE:LTCF:GEN'),('1259-1','IN:NONACUTE:LTCF:VEN'),('1260-9','IN:NONACUTE:LTCF:BAR');
/*!40000 ALTER TABLE `dim_nhsnlocationtypecode` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-05-22  9:47:10
